Bug 488123 - Booting with any entries in /etc/crypttab adds 10 seconds to boot
Booting with any entries in /etc/crypttab adds 10 seconds to boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 14:42 EST by Tom London
Modified: 2009-06-30 16:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 16:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bootchart booting with entry in /etc/crypttab (212.88 KB, image/png)
2009-03-02 14:42 EST, Tom London
no flags Details
bootchart booting with commented out /etc/crypttab (221.48 KB, image/png)
2009-03-02 14:43 EST, Tom London
no flags Details

  None (edit)
Description Tom London 2009-03-02 14:42:41 EST
Created attachment 333781 [details]
bootchart booting with entry in /etc/crypttab

Description of problem:
Not sure this is a plymouth problem, so "sorry in advance" if I've misdirected this.

I have the following setup: a laptop (thinkpad X200) with 2 encrypted partitions.  One is '/' (/dev/mapper/VolGroup00-LogVol00, created/setup during installation), the second (/dev/sda2, created after installation).

Both are ext3, and both can be decrypted/mounted using the same passphrase.

Plymouth and rc.sysinit work fine to prompt for the passphrase one time and mount both.

Here is the entry in /etc/crypttab for the "second" partition:
luks-49955702-1c8b-4f5b-9ab3-0ce4ee2873e9 UUID=49955702-1c8b-4f5b-9ab3-0ce4ee2873e9 none

Booting with just this asks for the passphrase once, and displays the second partition mounted (with an nice "unlocked icon" on the desktop) as /media/extra (label for this partition is "extra").

I attach 2 bootcharts: the first booting as described above, the second booting with the entry in /etc/crypttab commented out.

The second boot seems to take 10 seconds less.

The first bootchart shows an "extra" plymouth and a cryptsetup process (from about 28 seconds to about 45 seconds).  Also see an "extra" pidof process running a bit less.

Also notice that my bootcharts all "start" about 15 seconds from "T==0".  Not sure if this is related....

Version-Release number of selected component (if applicable):
plymouth-0.6.0-2.0.bootchart.1.fc11.x86_64
cryptsetup-luks-1.0.6-7.fc11.x86_64
initscripts-8.89-2.x86_64


How reproducible:
Every boot.....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-03-02 14:43:59 EST
Created attachment 333782 [details]
bootchart booting with commented out /etc/crypttab

Bootchart when entry is commented out in /etc/crypttab.
Comment 2 Tom London 2009-03-02 16:55:38 EST
Some additional info:

Booting "without crypttab" and manually running cryptsetup luksOpen shows a much faster run time:


echo -n "passphrase" | time cryptsetup --key-file=- luksOpen /dev/sda2 extra
key slot 0 unlocked.
Command successful.
0.47user 0.12system 0:01.94elapsed 30%CPU (0avgtext+0avgdata 0maxresident)k
127inputs+0outputs (0major+21874minor)pagefaults 0swaps

So this runs in less than 2 seconds.
Comment 3 Bug Zapper 2009-06-09 07:47:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Thomas Janssen 2009-06-30 16:19:10 EDT
Sorry, i can`t see a bug here. Everything works.

Thanks for your contribution to fedora.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.